POST
/project/{projectId}/filter
curl \
--request POST 'https://live.smartpmtech.com/project/{projectId}/filter' \
--header "X-API-KEY: $API_KEY" \
--header "Content-Type: application/json" \
--header "X-COMPANY-ID: string" \
--data '{
"name": "string",
"isAnd": true,
"type": "Company",
"queries": [
{
"attribute": 42,
"operator": 42,
"value": "string",
"hvalue": "string"
}
],
"subFilters": [
{}
],
"filters": [
{}
]
}'
Request examples
# Headers
X-COMPANY-ID: string
# Payload
{
"name": "string",
"isAnd": true,
"type": "Company",
"queries": [
{
"attribute": 42,
"operator": 42,
"value": "string",
"hvalue": "string"
}
],
"subFilters": [
{}
],
"filters": [
{}
]
}
Response examples (200)
{
"queries": [
{
"hvalue": "string",
"value": "string",
"id": 42,
"attribute": 42,
"operator": 42
}
],
"subFilters": [
{}
],
"isAnd": true,
"name": "string",
"id": 42,
"type": "Company",
"description": "string"
}